from sqlalchemy import Column, String, Text
from sqlalchemy.orm import relationship

from app.db.base_class import BaseClass
from app.db.base import Base


class Category(Base, BaseClass):
    """
    Category model for product categorization.
    """
    name = Column(String(255), unique=True, index=True, nullable=False)
    description = Column(Text, nullable=True)
    
    # Relationships
    products = relationship("Product", back_populates="category")